Loading...
Searching...
No Matches
value_t Union Reference
Rig (transceiver) API

Universal approach for passing values. More...

`#include <rig.h>`

## Data Fields

signed int | i
unsigned int | u
float | f
char * | s
const char * | cs

## Detailed Description

Universal approach for passing values.

See also
  rig_set_level(), rig_get_level(), rig_set_parm(), rig_get_parm()

## Field Documentation

## cs

const char* value_t::cs

Pointer to constant char string

## f

float value_t::f

Single precision float

## i

signed int value_t::i

Signed integer

## s

char* value_t::s

Pointer to char string

## u

unsigned int value_t::u

Unsigned integer

The documentation for this union was generated from the following file:

- rig.h